Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>
Summary:   	audio processing library
Name:      	soundtouch
Version:   	1.3.1
Release:   	1
Provides:	soundtouch
License: 	LGPL
URL:		http://www.surina.net/soundtouch/
Group:     	Sound	
Source0: 	%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	glibc-devel
BuildRequires:  libstdc++-devel

%description
SoundTouch is an open-source audio processing library for changing the Tempo, Pitch and Playback Rates of audio streams or files:

Tempo (time-stretch): Changes the sound to play at faster or slower speed than original, without affecting the sound pitch.

Pitch (key) : Changes the sound pitch or key, without affecting the sound tempo or speed.

Playback Rate : Changes both the sound tempo and pitch, as if an LP disc was played at wrong RPM rate.

%package        devel
Summary:        %{name} development headers.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description    devel
Header and include files for developing applications with %{name}.

%post
ldconfig


%preun

%postun
ldconfig


%prep
%setup -n %{name}-%{version}

%build
./configure	--prefix=%{_prefix} \
		--mandir=%{_mandir} \
		--sysconfdir=%{_sysconfdir} \
		--infodir=%{_infodir} \
		--enable-shared
make

%install
rm -rf $RPM_BUILD_ROOT
make install-strip DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%_datadir/applications/


%files
%defattr(-,root,root)
%_bindir
%_prefix/doc/soundtouch
%_libdir/*.so.*

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so
%_pkgconfig
%_datadir/aclocal

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Nov 20 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.3.1-1
- Initial Release
